[maverick] Stuck at connect page when buying song

Bug #634384 reported by Joshua Hoover on 2010-09-09
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Ubuntu One Client
High
Rodrigo Moya
Ubuntu One Servers
High
Stuart Langridge
libubuntuone
High
Rodrigo Moya
libubuntuone (Ubuntu)
Medium
Ubuntu One Client Engineering team
Maverick
Medium
Ubuntu One Client Engineering team
ubuntuone-client (Ubuntu)
Medium
Ubuntu One Client Engineering team
Maverick
Medium
Ubuntu One Client Engineering team

Bug Description

Running a new install of Maverick Beta with all the latest updates as of 2010-09-09 18:30 UTC: rhythmbox-ubuntuone-music-store 0.1.4-0ubuntu1, libubuntuone-1.0-1 0.3.6-0ubuntu1, ubuntuone-client 1.4.0-0ubuntu1, ubuntu-sso-client 0.99.6-0ubuntu1

Computer has not yet been setup with Ubuntu One. Using an existing Ubuntu One account.

---

Steps to reproduce
  1. Open Applications->Sound & Video->Rhythmbox Music Player
  2. Click "Ubuntu One"
  3. Search in the music store for a song (e.g. "Glenn Mercer")
  4. Click on album
  5. Click "Download" button next to a song
  6. Click "Checkout" button
  7. SSO client opens, click "Already have an account? Click here to sign in" button/link
  8. Enter login credentials and click "Continue"
  9. Success, click "Close" button to close SSO client

Result: Rhythmbox shows the "Connecting" page but never goes anywhere

Expected result: I continue to the payment screen & complete my purchase

Related branches

Joshua Hoover (joshuahoover) wrote :

Attaching file that captured output to the console while running the steps in the description.

Changed in rhythmbox-ubuntuone-music-store:
status: New → Confirmed
importance: Undecided → High
assignee: nobody → Rodrigo Moya (rodrigo-moya)
Joshua Hoover (joshuahoover) wrote :

Still testing this one as rmcbride was unable to reproduce.

Changed in rhythmbox-ubuntuone-music-store:
status: Confirmed → Incomplete
assignee: Rodrigo Moya (rodrigo-moya) → Joshua Hoover (joshuahoover)
Matt Griffin (mattgriffin) wrote :
Joshua Hoover (joshuahoover) wrote :

Matt was able to reproduce and I was as well (numerous times on a clean install with the latest updates).

Changed in rhythmbox-ubuntuone-music-store:
status: Incomplete → Confirmed
assignee: Joshua Hoover (joshuahoover) → Ubuntu One Desktop+ team (ubuntuone-desktop+)
summary: - [maverick] Stuck at connect page when downloading song
+ [maverick] Stuck at connect page when buying song
Rodrigo Moya (rodrigo-moya) wrote :

hmm, what versions of ubuntu-sso-client do you have? I have been looking at the code, and the error message, "Too few arguments in reply", indicates the DBus service expects more arguments in the call to login_or_register_to_get_credentials, but both trunk of ubuntu-sso-client and ubuntuone-client have matched arguments, so not sure what this is about. There have been no changes though in the DBus interface for a few weeks, so this is strange

Joshua Hoover (joshuahoover) wrote :

Rodrigo, The original test was using ubuntu-sso-client 0.99.6-0ubuntu1. I reproduced this issue today using ubuntu-sso-client 1.0.0-0ubuntu1 while testing another bug.

Changed in rhythmbox-ubuntuone-music-store (Ubuntu):
status: New → Triaged
importance: Undecided → Medium
assignee: nobody → Ubuntu One Desktop+ team (ubuntuone-desktop+)
Changed in rhythmbox-ubuntuone-music-store:
assignee: Ubuntu One Desktop+ team (ubuntuone-desktop+) → John Lenton (chipaca)
Changed in rhythmbox-ubuntuone-music-store (Ubuntu):
milestone: none → ubuntu-10.10
Changed in rhythmbox-ubuntuone-music-store:
assignee: John Lenton (chipaca) → Rodrigo Moya (rodrigo-moya)
affects: rhythmbox-ubuntuone-music-store → libubuntuone
Changed in libubuntuone:
status: Confirmed → In Progress
affects: rhythmbox-ubuntuone-music-store (Ubuntu Maverick) → libubuntuone (Ubuntu Maverick)
Changed in libubuntuone (Ubuntu Maverick):
status: Triaged → In Progress
Changed in ubuntuone-servers:
status: New → Fix Committed
importance: Undecided → High
assignee: nobody → Stuart Langridge (sil)
Changed in ubuntuone-client:
status: New → Fix Committed
importance: Undecided → High
assignee: nobody → Rodrigo Moya (rodrigo-moya)
Changed in ubuntuone-client (Ubuntu Maverick):
status: New → In Progress
importance: Undecided → Medium
assignee: nobody → Ubuntu One Desktop+ team (ubuntuone-desktop+)
milestone: none → ubuntu-10.10
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntuone-client - 1.4.2-0ubuntu1

---------------
ubuntuone-client (1.4.2-0ubuntu1) maverick; urgency=low

  * New upstream release:
    - Adding a try-except block around clientdefs constants import to be able to run on development environments (Natalia Bidart) (LP: #628956)
    - Fix LR to delete the share metadata or unsubscribe the udf if the volume
      directory is missing from disk but VolumeManager still have the volume as
      "active" (Guillermo Gonzalez) (LP: #556783)
    - FSM creates the directories now, not Sync (Facundo Batista)
    - Default logging for ubuntuone-preferences is INFO (Natalia Bidart)
      (LP: #640438)
    - Plug a memory leak (Rodrigo Moya)
    - Added contacts for users with no addressbooks are kept in memory correctly
      now (Rodrigo Moya) (LP: #640171)
    - Fixed syncdaemon_metadata_get_is_synced to work for post-generations
      folders (Rodrigo Moya) (LP: #640392)
    - Fix a regression in VolumeManager, now it calls refresh_shares after
      server rescan (Guillermo Gonzalez) (LP: #638187)
    - Use com.syncdaemon.SyncDaemon.UniqueInstance name to check for existing
      instance of syncdaemon (Roman Yepishev) (LP: #639017)
    - Include glib's gi18n-lib.h, which forces definition of GETTEXT_PACKAGE
      (Rodrigo Moya) (LP: #640955)
    - Add syncdaemon_authentication_clear_token API for the music store to deal
      with invalid tokens (Rodrigo Moya) (LP: #634384)
 -- Rodrigo Moya <email address hidden> Mon, 20 Sep 2010 22:37:05 +0200

Changed in ubuntuone-client (Ubuntu Maverick):
status: In Progress → Fix Released
Changed in ubuntuone-client:
status: Fix Committed → Fix Released
dobey (dobey) on 2010-09-21
Changed in libubuntuone:
status: In Progress → Fix Committed
Changed in libubuntuone:
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libubuntuone - 0.3.8-0ubuntu1

---------------
libubuntuone (0.3.8-0ubuntu1) maverick; urgency=low

  * New upstream release:
    - Clear tokens when the server tells us about invalid tokens (Rodrigo Moya)
      (LP: #634384)
    - Depend on libsyncdaemon >= 1.4.2 (Rodrigo Moya)
  * debian/control:
    - Depend on libsyncdaemon >= 1.4.2
 -- Rodrigo Moya <email address hidden> Tue, 21 Sep 2010 15:34:38 +0200

Changed in libubuntuone (Ubuntu Maverick):
status: In Progress → Fix Released
Changed in ubuntuone-servers:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Bug attachments